## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcCraftController Struct Reference

Craft controller property class. More...

`#include <propclass/craft.h>`

List of all members.

## Public Member Functions

virtual void | SetAccPitch (float uacc)=0
| Set the objects up and down turning acceleration;.
virtual void | SetAccTurn (float tacc)=0
| Set the objects left and right turning acceleration;.
virtual void | SetMaxPitch (float mud)=0
| Set the objects maximum up and down turning velocity;.
virtual void | SetMaxTurn (float turn)=0
| Set the objects maximum left and right turning velocity;.
virtual void | SetRedirectVelocityRatio (float rdvr)=0
| Do Not forget to document!
virtual void | SetThrustForce (float tf)=0
| Set the thrust force of the craft.
virtual void | SetTopSpeed (float tspeed)=0
| Set the Top Speed of the thruster.
virtual void | StartTurnDown ()=0
| Start the object turning down.
virtual void | StartTurnLeft ()=0
| Start the object turning left.
virtual void | StartTurnRight ()=0
| Start the object turning right.
virtual void | StartTurnUp ()=0
| Start the object turning up.
virtual void | StopTurnDown ()=0
| Stop the object turning down.
virtual void | StopTurnLeft ()=0
| Stop the object turning left.
virtual void | StopTurnRight ()=0
| Stop the object turning right.
virtual void | StopTurnUp ()=0
| Stop the object turning up.
virtual void | ThrustOff ()=0
| Turn off thruster.
virtual void | ThrustOn ()=0
| Turn on thruster.

## Detailed Description

Craft controller property class.

"pccraft" Allows a Craft with turning left and right, and supresses angular velocity of object. Thruster and functions to control supression to be added.

Definition at line 34 of file craft.h.

## Member Function Documentation

virtual void iPcCraftController::SetAccPitch | ( | float | uacc | ) | `[pure virtual]`

| Set the objects up and down turning acceleration;.

virtual void iPcCraftController::SetAccTurn | ( | float | tacc | ) | `[pure virtual]`

| Set the objects left and right turning acceleration;.

virtual void iPcCraftController::SetMaxPitch | ( | float | mud | ) | `[pure virtual]`

| Set the objects maximum up and down turning velocity;.

virtual void iPcCraftController::SetMaxTurn | ( | float | turn | ) | `[pure virtual]`

| Set the objects maximum left and right turning velocity;.

virtual void iPcCraftController::SetRedirectVelocityRatio | ( | float | rdvr | ) | `[pure virtual]`

| Do Not forget to document!

virtual void iPcCraftController::SetThrustForce | ( | float | tf | ) | `[pure virtual]`

| Set the thrust force of the craft.

virtual void iPcCraftController::SetTopSpeed | ( | float | tspeed | ) | `[pure virtual]`

| Set the Top Speed of the thruster. Above this speed the thruster will not work.

virtual void iPcCraftController::StartTurnDown | ( |  | ) | `[pure virtual]`

| Start the object turning down.

virtual void iPcCraftController::StartTurnLeft | ( |  | ) | `[pure virtual]`

| Start the object turning left.

virtual void iPcCraftController::StartTurnRight | ( |  | ) | `[pure virtual]`

| Start the object turning right.

virtual void iPcCraftController::StartTurnUp | ( |  | ) | `[pure virtual]`

| Start the object turning up.

virtual void iPcCraftController::StopTurnDown | ( |  | ) | `[pure virtual]`

| Stop the object turning down.

virtual void iPcCraftController::StopTurnLeft | ( |  | ) | `[pure virtual]`

| Stop the object turning left.

virtual void iPcCraftController::StopTurnRight | ( |  | ) | `[pure virtual]`

| Stop the object turning right.

virtual void iPcCraftController::StopTurnUp | ( |  | ) | `[pure virtual]`

| Stop the object turning up.

virtual void iPcCraftController::ThrustOff | ( |  | ) | `[pure virtual]`

| Turn off thruster.

virtual void iPcCraftController::ThrustOn | ( |  | ) | `[pure virtual]`

| Turn on thruster.

The documentation for this struct was generated from the following file:

- propclass/craft.h